Subject: Re: [GIT PULL linux-next] Add Compiler Attributes (v6) tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 6 Oct 2018 12:37:06 +1000

Hi Miguel,

On Fri, 5 Oct 2018 13:32:25 +0200 Miguel Ojeda <[email-masked]> wrote:
>
> As discussed, here it is the Compiler Attributes series for
> linux-next. This time the original v6, based on -rc6.
> 
> The changes w.r.t. v5:
> 
>   - Added latest Reviewed-by's and Tested-by's.
> 
> The conflicts are trivial to solve, but if you want a reference, take
> a look at (rebased on top of next-20181005):
> 
>   https://github.com/ojeda/linux.git compiler-attributes-rebased
> 
> Thanks!
> 
> Cheers,
> Miguel
> 
> The following changes since commit 17b57b1883c1285f3d0dc2266e8f79286a7bef38:
> 
>   Linux 4.19-rc6 (2018-09-30 07:15:35 -0700)
> 
> are available in the Git repository at:
> 
>   https://github.com/ojeda/linux.git compiler-attributes

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

Just in case you are unaware, I will fetch that branch every morning
and the merge it into linux-next, so any updates will be added without
you having to send a new pull request.  I will send you an email if I
find a problem.
-- 
Cheers,
Stephen Rothwell 
[email-masked]